------------------------------------ PANDOC -----------------------------------

local litstatus = true

return {
  {
    -- Parses and evals literate blocks
    CodeBlock = function(codeblock)
      codeblock, litstatus = lit.getblock(codeblock)
      return codeblock
    end,
    -- Asserts literate
    Pandoc = function(pandoc)
      return lit.assert(pandoc, litstatus) 
    end,
  },
  {
    -- Parses literate inserts
    Code = function(code)
      code, litstatus = lit.getinsert(code)
      return code
    end,
    -- Asserts literate
    Pandoc = function(pandoc)
      return lit.assert(pandoc, litstatus) 
    end,
  }, {
    -- Parses and evals natural programming
    -- TODO
    Inlines = function(inlines)
      md = pandoc.utils.stringify(inlines)
      md = nat.get(md)
      return inlines
    end,
  }
}
